<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author         Varun Shoor
 *
 * @package        SWIFT
 * @copyright      Copyright (c) 2001-2012, Kayako
 * @license        http://www.kayako.com/license
 * @link           http://www.kayako.com
 *
 * ###############################################
 */


require_once('modules/ky_Tickets/ky_Tickets.php');

function fetchTickets($view)
{
	if ($view == 'EditView' || $view == 'MassUpdate') {
		return "";
	}

	$html = '<script>
		function fetchTickets() {
			var callback = {
				success: function(o) {
					document.getElementById("div_info").innerHTML = o.responseText;
					document.getElementById("loading").style.display = "none";
				}
			}
			document.getElementById("loading").style.display = "block";
			var connectionObject = YAHOO.util.Connect.asyncRequest ("GET", "index.php?module=ky_Tickets&action=tickets&return_module=' . (isset($_REQUEST['module']) ? $_REQUEST['module'] : '') . '&record=' . (isset($_REQUEST['record']) ? $_REQUEST['record'] : '') . '&sugar_body_only=1&inline=1" , callback);
		}
		setTimeout("fetchTickets()", 1000);
	</script>';
	$html .= '<div id="loading" style="float:left"><img src="themes/Sugar5/images/img_loading.gif" /></div>
			  <div id="div_info"></div>';

	return $html;
}